Subject: Re: bug#21939: 25.0.50; variable-at-point fails due to curly quotes

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Aug 2021 15:12:58 +0200

Artur Malabarba <[email-masked]> writes:

>> We were playing with curly quotes in docstrings, but that got rejected
>> (as far as I recall).
>
> I think it still matters because Help buffers still use curly quotes,
> and one might need `variable-at-point' to work inside help buffers.

(I'm going through old bug reports that unfortunately weren't
resolved at the time.)

`variable-at-point' now works in *Help* recognising ‘’ quoting (it was
fixed a few years back).

As for the other request -- I don't think adding ‘’ in Lisp buffers
would be helpful -- we don't use that syntax in doc strings there, so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no